'Linux Mint 17' będzie działał z repo 'Ubuntu 14.04 LTS'?


#1

Witam. Mam ‘Linux Mint 17 (Qiana) Mate [x64]’. Chcę dodać poniższe repo z ‘Ubuntu 14.04 (Trusty Tahr) LTS [64]’. Czy system będzie działał po takiej operacji? A co by było, gdybym dodał repo ‘Ubuntu 14.10 Utopic Unicorn [x64]’?
 

'###### Ubuntu Main Repos

deb http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty main restricted universe multiverse

 

###### Ubuntu Update Repos

deb http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse

deb http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-updates main restricted universe multiverse

deb http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-proposed main restricted universe multiverse

deb http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-security main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-updates main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-proposed main restricted universe multiverse

deb-src http://pl.archive.ubuntu.com/ubuntu/]http://pl.archive.ubuntu.com/ubuntu/ trusty-backports main restricted universe multiverse

 

###### Ubuntu Partner Repo

deb http://archive.canonical.com/ubuntu]http://archive.canonical.com/ubuntu trusty partner

deb-src http://archive.canonical.com/ubuntu]http://archive.canonical.com/ubuntu trusty partner

 

###### Ubuntu Extras Repo

deb http://extras.ubuntu.com/ubuntu]http://extras.ubuntu.com/ubuntu trusty main'.

 
Oczywiście wiem, że ‘Linux Mint 17’ jest oparty na ‘Ubuntu 14.04 LTS’, ale po instalacji miętuska w pliku ‘sources.list’ nie ma tych wszystkich, oficjalnych przecież, repozytoriów.


(marcin82) #2

Skończy się bałaganem, brakiem aktualizacji i rozwaleniem systemu.


#3

Ale co dokładnie skończy się bałaganem, brakiem aktualizacji i rozwaleniem systemu? Dodanie repo z 14.04, czy dodanie repo z 14.10? Jedno i drugie? Domyślam się, że druga opcja może bardzo dużo namieszać, dlatego też nie zamierzałem się za to zabierać, jednak wolałem zapytać, ale co z opcją pierwszą?


(Piesek64) #4

Jedno i drugie. Pakiety z Ubuntu różnią się wersją wymaganego oprogramowania, a także nie wszystkie paczki będą zgodne z Mintem. Aktualizacja może się zakończyć wysypem.


#5

No nic, spróbowałem. Dałem do ‘Linux Mint’ repo z ‘Ubuntu 14.04’, to, które podałem wyżej. Przeprowadziłem aktualizację i kilka godzin pobawiłem się systemem i nie było żadnych problemów. Może to za krótki czas, by oceniać, ale nie wpływa to tragicznie na system, więc jest dobrze.


(bart86) #6

ale po co to robić przecież mint ma swoje repo które jest dostosowane i pewne nie rozumiem po co samemu sobie szkodzić